summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-mail/sendEmail')
-rw-r--r--net-mail/sendEmail/Manifest1
-rw-r--r--net-mail/sendEmail/files/1.56-overzealous-verify-mode-check.patch11
-rw-r--r--net-mail/sendEmail/files/1.56-overzealous-version-check.patch11
-rw-r--r--net-mail/sendEmail/metadata.xml15
-rw-r--r--net-mail/sendEmail/sendEmail-1.56-r1.ebuild29
-rw-r--r--net-mail/sendEmail/sendEmail-1.56-r2.ebuild30
6 files changed, 97 insertions, 0 deletions
diff --git a/net-mail/sendEmail/Manifest b/net-mail/sendEmail/Manifest
new file mode 100644
index 00000000000..9873671d3db
--- /dev/null
+++ b/net-mail/sendEmail/Manifest
@@ -0,0 +1 @@
+DIST sendEmail-v1.56.tar.gz 29740 SHA256 6dd7ef60338e3a26a5e5246f45aa001054e8fc984e48202e4b0698e571451ac0 SHA512 0ee208857d6ffa4b9e0eecea0a94decf6d3935041fad23a084fba195f2016a18f3409086eefa8c35fb5dd01697eb29e4af0607754bf1c52bef727b8b670242fd WHIRLPOOL dba6ee5b5cb50f24fd065d840f01a5860ea1eb1012f95036cb47c579be99899d775b59e8169be127760a79106ed0bda1c2c21720b9c3041d1ee2fbf22d6172dd
diff --git a/net-mail/sendEmail/files/1.56-overzealous-verify-mode-check.patch b/net-mail/sendEmail/files/1.56-overzealous-verify-mode-check.patch
new file mode 100644
index 00000000000..f5c5c39ee5c
--- /dev/null
+++ b/net-mail/sendEmail/files/1.56-overzealous-verify-mode-check.patch
@@ -0,0 +1,11 @@
+--- sendEmail 2013-05-21 16:44:18.000000000 +0100
++++ sendEmail 2013-06-05 09:26:20.000000000 +0100
+@@ -1903,7 +1903,7 @@
+ if ($conf{'tls_server'} == 1 and $conf{'tls_client'} == 1 and $opt{'tls'} =~ /^(yes|auto)$/) {
+ printmsg("DEBUG => Starting TLS", 2);
+ if (SMTPchat('STARTTLS')) { quit($conf{'error'}, 1); }
+- if (! IO::Socket::SSL->start_SSL($SERVER, SSL_version => 'SSLv3')) {
++ if (! IO::Socket::SSL->start_SSL($SERVER, SSL_version => 'SSLv3', SSL_verify_mode => 0x00)) {
+ quit("ERROR => TLS setup failed: " . IO::Socket::SSL::errstr(), 1);
+ }
+ printmsg("DEBUG => TLS: Using cipher: ". $SERVER->get_cipher(), 3);
diff --git a/net-mail/sendEmail/files/1.56-overzealous-version-check.patch b/net-mail/sendEmail/files/1.56-overzealous-version-check.patch
new file mode 100644
index 00000000000..5cd47b06788
--- /dev/null
+++ b/net-mail/sendEmail/files/1.56-overzealous-version-check.patch
@@ -0,0 +1,11 @@
+--- a/sendEmail 2013-03-25 08:59:12.000000000 +0000
++++ b/sendEmail 2013-03-25 08:59:22.000000000 +0000
+@@ -1903,7 +1903,7 @@
+ if ($conf{'tls_server'} == 1 and $conf{'tls_client'} == 1 and $opt{'tls'} =~ /^(yes|auto)$/) {
+ printmsg("DEBUG => Starting TLS", 2);
+ if (SMTPchat('STARTTLS')) { quit($conf{'error'}, 1); }
+- if (! IO::Socket::SSL->start_SSL($SERVER, SSL_version => 'SSLv3 TLSv1')) {
++ if (! IO::Socket::SSL->start_SSL($SERVER, SSL_version => 'SSLv3')) {
+ quit("ERROR => TLS setup failed: " . IO::Socket::SSL::errstr(), 1);
+ }
+ printmsg("DEBUG => TLS: Using cipher: ". $SERVER->get_cipher(), 3);
diff --git a/net-mail/sendEmail/metadata.xml b/net-mail/sendEmail/metadata.xml
new file mode 100644
index 00000000000..bff87badf2f
--- /dev/null
+++ b/net-mail/sendEmail/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+ <email>chainsaw@gentoo.org</email>
+</maintainer>
+<longdescription> SendEmail is a lightweight, completely command line based,
+SMTP email agent. If you have the need to send email from a command prompt
+this tool is perfect. It was designed to be used in bash scripts, Perl
+programs, and web sites, but it is also quite useful in many other contexts.
+SendEmail is written in Perl and is unique in that it requires NO SPECIAL
+MODULES. It has a straight forward interface, making it very easy to use.
+</longdescription>
+</pkgmetadata>
+
diff --git a/net-mail/sendEmail/sendEmail-1.56-r1.ebuild b/net-mail/sendEmail/sendEmail-1.56-r1.ebuild
new file mode 100644
index 00000000000..44cb5a93ece
--- /dev/null
+++ b/net-mail/sendEmail/sendEmail-1.56-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+MY_P="${PN}-v${PV}"
+
+inherit base
+
+DESCRIPTION="Command line based, SMTP email agent"
+HOMEPAGE="http://caspian.dotconf.net/menu/Software/SendEmail/"
+SRC_URI="http://caspian.dotconf.net/menu/Software/SendEmail/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~ppc x86"
+IUSE="ssl"
+
+DEPEND=""
+RDEPEND="dev-lang/perl
+ ssl? ( dev-perl/IO-Socket-SSL )"
+
+PATCHES=( "${FILESDIR}/${PV}-overzealous-version-check.patch" )
+S="${WORKDIR}/${MY_P}"
+
+src_install() {
+ dobin sendEmail || die "failed to install sendEmail script"
+ dodoc CHANGELOG README TODO
+}
diff --git a/net-mail/sendEmail/sendEmail-1.56-r2.ebuild b/net-mail/sendEmail/sendEmail-1.56-r2.ebuild
new file mode 100644
index 00000000000..f2af001c0f8
--- /dev/null
+++ b/net-mail/sendEmail/sendEmail-1.56-r2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+MY_P="${PN}-v${PV}"
+
+inherit base
+
+DESCRIPTION="Command line based, SMTP email agent"
+HOMEPAGE="http://caspian.dotconf.net/menu/Software/SendEmail/"
+SRC_URI="http://caspian.dotconf.net/menu/Software/SendEmail/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~ppc x86"
+IUSE="ssl"
+
+DEPEND=""
+RDEPEND="dev-lang/perl
+ ssl? ( dev-perl/IO-Socket-SSL )"
+
+PATCHES=( "${FILESDIR}/${PV}-overzealous-version-check.patch"
+ "${FILESDIR}/${PV}-overzealous-verify-mode-check.patch" )
+S="${WORKDIR}/${MY_P}"
+
+src_install() {
+ dobin sendEmail || die "failed to install sendEmail script"
+ dodoc CHANGELOG README TODO
+}